Last updated

API / geotoolkit / map / sources / formats / WMS / WMS

Class: WMS

formats.WMS.WMS

WMS source format that formats map image queries to the WMS (Web Map Service) server

Hierarchy

Table of contents

Constructors
Methods

Contents

Constructors

new WMS(options)

new WMS(options?)

Creates format

Parameters

Name Type Description
Optional optionsOptionsoptions

Overrides

AbstractFormat.constructor

Methods

abort

abort(key?): WMS

Aborts all previous requests

Parameters

Name Type Description
Optional keystringkey of the connections to abort (all connections aborted if nothing provided)

Returns

WMS

this

Inherited from

AbstractFormat.abort


abortGeometryQueries

abortGeometryQueries(key?): WMS

Aborts FeatureInfo geometry queries previously sent

Parameters

Name Type Description
Optional keystringkey of the queries to abort (all geometry queries aborted if nothing provided)

Returns

WMS

this


clone

clone(): AbstractFormat

All subclasses should override copyConstructor or provide custom implementation for this method

Returns

AbstractFormat

clone

Inherited from

AbstractFormat.clone


cloneQueryParameters

cloneQueryParameters(format): WMS

Copies query parameters from another format

Parameters

Name Type Description
formatAbstractFormatformat to clone parameters

Returns

WMS

this

Inherited from

AbstractFormat.cloneQueryParameters


copyConstructor

Protected copyConstructor(src, deepCopy?): WMS

Copy constructor function.
Function used as part of the cloning mechanism.
Implementations should copy the given instance state to this instance.

Parameters

Name Type Description
srcAbstractFormatSource to copy from
Optional deepCopybooleandeep copy

Returns

WMS

this

Inherited from

AbstractFormat.copyConstructor


dispose

dispose(): void

Dispose.

Returns

void

Inherited from

AbstractFormat.dispose


getClassName

getClassName(): string

Returns

string

Inherited from

AbstractFormat.getClassName


getConnector

getConnector(): AbstractConnector<any>

Gets connector

Returns

AbstractConnector<any>

connector

Inherited from

AbstractFormat.getConnector


getFeatureInfo

getFeatureInfo(query): WMS

Queries data by the options provided.

Parameters

Name Type Description
queryFeatureInfoquery options

Returns

WMS

this


hasEventListener

hasEventListener(type, callback?): boolean

Check if a list of event listeners for this type contains this listener

Parameters

Name Type Description
typestringtype of event or property
Optional callbackFunctionto be called, if null, check if any callback is registered

Returns

boolean

Inherited from

AbstractFormat.hasEventListener


isDisposed

isDisposed(): boolean

Returns whether this object has been disposed

Returns

boolean

Inherited from

AbstractFormat.isDisposed


isLoading

isLoading(): boolean

Checks if some of the requests haven't been finished yet. Returns true if some data is loading, false otherwise.

Returns

boolean

Inherited from

AbstractFormat.isLoading


isSilent

isSilent(): boolean

Return true if the event dispatcher doesn't notify any events

Returns

boolean

Inherited from

AbstractFormat.isSilent


notify

notify<E>(type, source, args?): WMS

Notify listeners

Type parameters

NameType
Eextends string

Parameters

Name Type Description
typeEevent types
sourceWMSof the event
Optional argsEventMap[E]arguments of the event

Returns

WMS

this

Overrides

AbstractFormat.notify


off

off<E>(type?, callback?): WMS

Detach listener on event. Calling .off() with no arguments removes all attached listeners. Calling .off(type) with no callback removes all attached listeners for specific type.

Type parameters

NameType
Eextends string

Parameters

Name Type Description
Optional typeEtype of the event
Optional callback(eventType: E, sender: WMS, args: EventMap[E]) => voidfunction to be called

Returns

WMS

this

Overrides

AbstractFormat.off


on

on<E>(type, callback): WMS

Attach listener on event that will be called whenever the specified event is delivered to the target

If the callback function is already in the list of event listeners for this target, the function is not added a second time.

If a particular anonymous function is in the list of event listeners registered for a certain target, and then later in the code, an identical anonymous function is given in an "on" call, the second function will also be added to the list of event listeners for that target.

Type parameters

NameType
Eextends string

Parameters

Name Type Description
typeEtype of event or property
callback(eventType: E, sender: WMS, args: EventMap[E]) => voidto be called

Returns

WMS

this

Overrides

AbstractFormat.on


parse

parse(data): WMS

Parses the data provided and notifies about the result. Is used in the default query implementation.

Parameters

Name Type Description
datastring | ArrayBuffer | Blob | Image | string[][] | JSONObject | XMLDocumentdata object or its string representation

Returns

WMS

this

Inherited from

AbstractFormat.parse


query

query(query): WMS

Sends a request based on a settings provided That's a basic implementation for the file requests. Implement parse method to use it or override this method directly.

Parameters

Name Type Description
queryRectQueryquery params

Returns

WMS

this

Overrides

AbstractFormat.query


setQueryParameter

setQueryParameter(param, value): WMS

Sets the query parameter to add to the data requests

Parameters

Name Type Description
paramstringparameter name
valuestring | number | booleanparameter value

Returns

WMS

this

Inherited from

AbstractFormat.setQueryParameter


setSilent

setSilent(bool): WMS

Set silent mode

Parameters

Name Type Description
boolbooleanflag to enable silent mode

Returns

WMS

this

Inherited from

AbstractFormat.setSilent


getClassName

Static getClassName(): string

Returns

string

Inherited from

AbstractFormat.getClassName